diff --git a/scripts/ci/ci-driver.sh b/scripts/ci/ci-driver.sh
index 09696924ba2054fe47d70dd8b3bce82a0fa4c81c..eea98baae7d996b3653d319781cd2f27f57763be 100755
--- a/scripts/ci/ci-driver.sh
+++ b/scripts/ci/ci-driver.sh
@@ -442,7 +442,7 @@ if [[ "${CHUTNEY}" = "yes" ]]; then
         runcmd "${CHUTNEY_PATH}"/tools/diagnostics.sh || true
         # XXXX These next two should be part of a make target.
         runcmd ls test_network_log || true
-        runcmd cat test_network_log || true
+        runcmd head -n -0 test_network_log/* || true
         FAILED_TESTS="${FAILED_TESTS} chutney"
     fi
     end_section "Chutney"